﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using MySql.Data.MySqlClient;

namespace CsharpConMySQL
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }
       //initialize sql connection
        MySqlConnection con = new MySqlConnection();
        //initialize all classes
        MySqlCommand cmd = new MySqlCommand();
        MySqlDataAdapter da = new MySqlDataAdapter();
        DataTable dt = new DataTable();

        //declaring variables
        string query;
        int res, max;  
 

        private void Form1_Load(object sender, EventArgs e)
        {
            //set a connection string 
            con.ConnectionString = "server=localhost;user id=root;password=;Database=dbuser;";
        }

        private void btnSave_Click(object sender, EventArgs e)
        {
            try
            {
                con.Open();
                //create a query for retrieving data in the database.
                query = "Insert Into tblusers (`UNAME`, `UUSERNAME`, `UPASSWORD`, `UTYPE`) VALUES ('" + txtName .Text + "','" + txtUsername.Text  + "','" + txtPassword .Text  + "','" + cboType .Text  + "')";
                //initialize new Sql commands
                cmd = new MySqlCommand();
                //hold the data to be executed.
                cmd.Connection = con;
                cmd.CommandText = query;

                res = cmd.ExecuteNonQuery();

                if (res > 0)
                {
                    MessageBox.Show("New user has been save in the database.");
                }
            }
            catch (Exception ex)
            {
                //catching error
                MessageBox.Show(ex.Message);
            }
            finally
            {
                da.Dispose();
                con.Close();
            }
        }

        private void btnLoad_Click(object sender, EventArgs e)
        {
            try
            {
                con.Open();
                //create a query for retrieving data in the database.
                query = "SELECT `UNAME` as Name, `UUSERNAME` as Username, `UPASSWORD` as Password, `UTYPE` as Type FROM `tblusers` ";
                //initialize new Sql commands
                cmd = new MySqlCommand();
                //hold the data to be executed.
                cmd.Connection = con;
                cmd.CommandText = query;
                //initialize new Sql data adapter
                da = new MySqlDataAdapter();
                //fetching query in the database.
                da.SelectCommand = cmd;
                //initialize new datatable
                dt = new DataTable();
                //refreshes the rows in specified range in the datasource. 
                da.Fill(dt);

                dataGridView1.DataSource = dt;


            }
            catch (Exception ex)
            {
                //catching error
                MessageBox.Show(ex.Message);
            }
            finally
            {
                da.Dispose();
                con.Close();
            }

        }
    }
}
